#### D.4.24.7 genus

Procedure from library `normal.lib` (see normal_lib).

Return:
  an integer, the geometric genus p_g = p_a - delta of the projective curve defined by i, where p_a is the arithmetic genus.

Note:
  genus always treats projective curves and takes projective closure if input is affine 1-dim variety. delta is the sum of all local delta-invariants of the singularities, i.e. dim(R'/R), R' the normalization of the local ring R of the singularity.
  genus(I,"nor") uses the normalization to compute delta. Usually genus(I,"nor") is slower than genus(I) but sometimes not.
  genus(I,"pri") starts with a primary decompsition.

Example:

    LIB "normal.lib";
    ring r=0,(x,y),dp;
    ideal i=y^9 - x^2*(x - 1)^9;
    genus(i);
    ==> 0
    ring r7=7,(x,y),dp;
    ideal i=y^9 - x^2*(x - 1)^9;
    genus(i);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.